# lugins/osg/Fog.cpp File Reference

`#include "osg/Fog"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/Fog.cpp:

## Functions

bool | Fog_readLocalData (Object &obj, Input &fr)
bool | Fog_writeLocalData (const Object &obj, Output &fw)
bool | Fog_matchModeStr (const char *str, Fog::Mode &mode)
const char * | Fog_getModeStr (Fog::Mode mode)

## Variables

RegisterDotOsgWrapperProxy | g_FogProxy (new osg::Fog,"Fog","Object StateAttribute Fog",&Fog_readLocalData,&Fog_writeLocalData)

## Function Documentation

const char * Fog_getModeStr | ( | Fog::Mode | mode | ) |

bool Fog_matchModeStr | ( | const char * | str,
|  | Fog::Mode & | mode
| ) |

bool Fog_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool Fog_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_FogProxy(new osg::Fog,"Fog","Object StateAttribute Fog",&Fog_readLocalData,&Fog_writeLocalData)